- route:
    id: route-8753
    from:
      id: from-7978
      uri: file
      parameters:
        directoryName: in
        noop: true
      steps:
        - unmarshal:
            id: unmarshal-1905
            csv:
              id: csv-19d5
              useMaps: true
        - split:
            id: split-2428
            expression:
              simple:
                id: simple-dda9
                expression: ${body}
            steps:
              - marshal:
                  id: marshal-3603
                  json:
                    id: json-c5d1
              - setHeader:
                  id: setHeader-3618
                  name: Content-Type
                  expression:
                    constant:
                      id: constant-0050
                      expression: application/json
              - to:
                  id: to-1369
                  uri: kamelet:http-sink
                  parameters:
                    url: https://api.predic8.de/shop/v2/products
